## glance 16.0.1

=== debian/changelog ===
glance (2:16.0.1-8~bpo9+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Fri, 17 Aug 2018 09:37:04 +0200

glance (2:16.0.1-7) unstable; urgency=medium

  * Add fix-py37-compatibility-async-keyword.patch (Closes: #904389).
  * Add Fix_RuntimeError_when_running_under_py37_-_StopIteration.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Aug 2018 20:00:30 +0200

glance (2:16.0.1-6) unstable; urgency=medium

  * Fixed init startup description.
  * Bind glance-api also on ipv6, using openstack-pkg-tools >= 80~ which does
    that automatically now.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 May 2018 10:13:49 +0200

glance (2:16.0.1-5) unstable; urgency=medium

  * Change d/glance-api.init.in again

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 23 May 2018 10:49:24 +0100

glance (2:16.0.1-4) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix d/glance-api.init.in

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 May 2018 11:20:13 +0200

glance (2:16.0.1-3) unstable; urgency=medium

  * Switch back again to uwsgi, thanks to Matthew Treinish for his great help
    on how to set it up.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 May 2018 15:25:08 +0200

glance (2:16.0.1-2) unstable; urgency=medium

  * Switch back glance-api to eventlet, uwsgi doesn't seem to work and still
    give error 104: connection reset by peer.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 May 2018 12:07:34 +0200

glance (2:16.0.1-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Thomas Goirand ]
  * Switch glance-api to uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 14:50:53 +0000

glance (2:16.0.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:31:08 +0000

glance (2:16.0.0-3) unstable; urgency=medium

  * Create /var/lib/glance/{images,image-cache} and chown it to glance:glance,
    otherwise uploading using the file backend simply doesn't work, and glance
    only complains that "Adding images to store is disabled.", which is quite
    deceptive.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Mar 2018 22:30:30 +0100

glance (2:16.0.0-2) unstable; urgency=medium

  * Kill the debconf flavor configuration.
  * Reuse Debian templates from openstack-pkg-tools.
  * Explicitly using python3- version of config generators.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 12:18:27 +0000

glance (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 21:48:04 +0000

glance (2:16.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add patch to allow xattr 0.9.1 which is still in Debian.
  * Switch to Python 3.
  * Using pkgos-dh_auto_test.
  * The doc package is now called glance-doc.
  * Do not use -R with chmod/chown in maintainer scripts..
  * Do not set OSLO_PACKAGE_VERSION in debian/rules, leave the value set by
    openstack-pkg-tools.
  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2018 16:34:35 +0000

glance (2:15.0.0-7) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:43:31 +0000

glance (2:15.0.0-6) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 61~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2017 09:02:13 +0000

glance (2:15.0.0-5) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 60~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 21:17:47 +0000

glance (2:15.0.0-4) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 59~, to make sure we're using allocated
    UID/GID from #884178.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 00:09:55 +0000

glance (2:15.0.0-3) unstable; urgency=medium

  * Rebuild with openstack-pkg-tools >= 56~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Dec 2017 16:51:03 +0000

glance (2:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt.po (Closes: #876170).
  * Updated fr.po (Closes: #875753).
  * Updated pt_BR.po (Closes: #861984).
  * Do not rm -rf /etc/glance on purge (Closes: #867468).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:02:06 +0000

glance (2:15.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed 3 patches applied upstream, rebased the last one.
  * Fixed install of conf files.
  * Removed all traces of glare.
  * Installs usr/bin/glance-wsgi-api.
  * Package missing migration files (patch adding MANIFEST.in).

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 10:33:08 +0200

glance (2:13.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858123).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:33:39 +0200

glance (2:13.0.0~b2-2) experimental; urgency=medium

  * Added python-pep8 to build depends (Closes: #834740)


