=== debian/changelog ===
glance (2:17.0.0-0ubuntu4.1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Nov 2018 11:45:00 +0000

glance (2:17.0.0-0ubuntu4.1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * d/p/fix-py3-recursion.patch: Cherry-picked from upstream master branch to
    fix error with infinite recursion under Python 3 (LP: #1800601).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Oct 2018 13:55:56 -0400

glance (2:17.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Set X-Python3-Version: >= 3.5, << 3.7 avoiding compilation
    on install for Python 3.7 as glance contains a module named async
    which conflicts with the new async keyword in Python 3.7; this is
    resolved in the next major glance release.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Oct 2018 17:34:42 +0100

glance (2:17.0.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/glance-daemons: Increase timeout before curl as arm64 tests
    are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 10:43:33 -0400

glance (2:17.0.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/glance-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 12:54:07 -0400

glance (2:17.0.0-0ubuntu1) cosmic; urgency=medium

  * d/control: Switch Depends on ${source:Version} to ${binary:Version}.
  * d/control: Drop old Replaces.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:22:09 -0400

glance (2:17.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/tests/glance-daemons: Refactor to include timeout loop for curl command.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 15:40:43 -0400

glance (2:17.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:18:59 -0400

glance (2:17.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * d/p/handle-StopIteration.patch: Align with latest upstream patch.
  * d/p/rename-async-package.patch: Drop until it gets a good review upstream.
  * New upstream milestone for OpenStack Rocky.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 15:15:01 -0400

glance (2:17.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-glance package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-glance Depends.
    - d/control, d/rules, d/*.dirs, d/*.install, d/*.manpages: Move common files
      to glance-common and have python(3)-glance depend on it.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-glance.install: Drop, not needed.
    - d/glance-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-glance.post*, d/python(3)-glance.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for glance daemons and add shebang tests.
    - d/tests/glance-daemons: Use curl to test API.
    - d/p/rename-async-package.patch: Rename async package to avoid Py3.7
      keyword conflict.
    - d/p/handle-StopIteration.patch: Handle StopIteration for Py3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 21:34:11 -0400

glance (2:17.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:23:10 -0400

glance (2:17.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 May 2018 13:58:53 -0400

glance (2:16.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:30 -0400
