## glance 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
-WebOb>=1.7.1 # MIT
+WebOb>=1.8.1 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 sqlparse>=0.2.2 # BSD
 alembic>=0.8.10 # MIT
@@ -18,6 +18,7 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
@@ -38,7 +39,7 @@
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 
@@ -55,4 +56,5 @@
 
 # timeutils
 iso8601>=0.1.11 # MIT
-monotonic>=0.6 # Apache-2.0
+
+os-win>=3.0.0 # Apache-2.0
