=== doc/requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 whereto>=0.3.0  # Apache-2.0
 
 # needed for apidoc support
-xattr>=0.9.2
+xattr>=0.9.2;sys_platform!='win32' # MIT
