=== debian/changelog ===
glance (2:18.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:50:19 +0100

glance (2:18.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 16:21:58 +0000

glance (2:18.0.0~b1-0ubuntu1) disco; urgency=medium

  * New release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 14 Mar 2019 14:21:50 +0000

glance (2:18.0.0~b1~git2019013051.034a4837-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Update current release name to stein to
    resolve unit test failures.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:43:13 +0000

glance (2:18.0.0~b1~git2018111404.d2e62d43-0ubuntu1) disco; urgency=medium

  * d/rules,tests/glance-shebangs-py3: Use python3 for shebangs.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,glance-registry.*: Drop glance-registry package as due
    for removal this cycle.
  * d/control,python3-glance.postinst: Prefer Python 3 module for default
    installations.
  * d/control,rules,python*: Drop Python 2 support.
  * d/tests/*: Update for Python 3 only.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:52:09 +0000

glance (2:18.0.0~b1~git20181108.97dac0f3-0ubuntu1) disco; urgency=medium

  * d/control: Drop X-Python3-Version, which avoided 3.7 support, for Stein.
  * d/watch: Scope to 18.x series.
  * New upstream snapshot for OpenStack Stein.
  * d/p/handle-StopIteration.patch: Dropped. No longer needed.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Nov 2018 11:40:19 -0500

glance (2:17.0.0-0ubuntu5) disco; urgency=medium

  * d/tests/glance-shebangs-py3: Update shebang for Python 3.7.
  * d/rules: Enable Python 3.7 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:54:01 -0500
